
QGIS Application - Bug report #6840

Field names (display name) are not updated when encoding is changed

2012-12-08 03:29 AM - Minoru Akagi

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15976

Description

Field names displayed on attribute table are not updated when encoding is changed.

Associated revisions

Revision ab553250 - 2013-03-27 01:34 AM - Minoru Akagi

refresh field names after all layers loaded and encoding change (fix #6840)

History

#1 - 2012-12-13 06:45 PM - Minoru Akagi

- File hello.csv added

The attached csv file contains language names and "Hello" in English, Russian, Chinese, Korean and Japanese. The file encoding is UTF-8.

To confirm this issue, load the file with other encoding than UTF-8 selected. Then change layer encoding into UTF-8. Garbled field names are still there.

#2 - 2013-01-10 01:11 PM - Minoru Akagi

- Status changed from Open to Closed

Fixed in changeset commit:"834107a68af240c486dd467a9dceac812d4beba2".

#3 - 2013-02-26 12:18 AM - Minoru Akagi

- Status changed from Closed to Reopened

The fix became disabled by the recent API change. I need fix again.

#4 - 2013-03-31 10:04 PM - Anonymous

- Status changed from Reopened to Closed

Fixed in changeset commit:"ab55325083e1c8944b8c0808d5c9b4599634ba4c".
Files

update_fieldname.patch.diff 485 Bytes 2012-12-08 Minoru Akagi

hello.csv 129 Bytes 2012-12-13 Minoru Akagi
